
//
//
// StockMarketServer
//
//


import org.omg.CORBA.*;
import org.omg.CosNaming.*;
import SimpleStocks.*;


public class StockMarketServer
{
  public static void main(String[] args)
  {
     try
     {
      ORB orb = ORB.init(args, null);
      BOA boa = orb.BOA_init();
      SimpleStocks.StockMarketImpl stockMarketImpl = new SimpleStocks.StockMarketImpl("NASDAQ");
      boa.obj_is_ready( stockMarketImpl );
      System.out.println(stockMarketImpl+ " is ready.");

      org.omg.CORBA.Object object = orb.resolve_initial_references("NameService");
      System.out.println("Obtained a NameService reference.");
      NamingContext root = NamingContextHelper.narrow( object ) ;
      if( root != null )
      {
       System.out.println("Obtained a NamingContext reference.");
      }
      else
      {
       System.out.println("Could not Obtain a NamingContext reference.");
      }
      NameComponent[] name = new NameComponent[1];
      name[0] = new NameComponent("NASDAQ", "");
      System.out.println("Created a Name.");
      if( name == null )
      {
       System.out.println("NameComponent Creation failed");
      }
      else
      {
       root.rebind(name, stockMarketImpl);
       System.out.println("Ready.");
      }


      boa.impl_is_ready();
     }
     catch( Exception e )
     {
      System.out.println(e);
      e.printStackTrace();
     }
  }
}
