
//Title:        Your Product Name
//Version:
//Copyright:    Copyright (c) 1998
//Author:       Gopalan Suresh Raj
//Company:
//Description:
import SimpleStocks.*;
import org.omg.CORBA.*;
import org.omg.CosNaming.*;

public class StockMarketClient
{
  public static void main(String[] args)
  {
    try
    {
     ORB orb = ORB.init(args, null);
    //Lookup in CORBA Name Service
     NamingContext root = NamingContextHelper.narrow(orb.resolve_initial_references("NameService"));
     NameComponent[] name = new NameComponent[1] ;
     name[0] = new NameComponent("NASDAQ","");

    StockMarket market = StockMarketHelper.narrow(root.resolve(name));

     System.out.println("Price of MY COMPANY is " + market.get_price("MY_COMPANY"));
    }
    catch( Exception e )
    {
      System.err.println( e );
    }
  }
}
